Revise recurrence (Pix Automático)
curl --request PATCH \
--url https://spi.sandbox.lerian.net/api/v1/brcode/rec/{idRec} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calendario": {
"dataInicial": "<string>"
},
"status": "CANCELADA"
}
'import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/rec/{idRec}"
payload = {
"calendario": { "dataInicial": "<string>" },
"status": "CANCELADA"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({calendario: {dataInicial: '<string>'}, status: 'CANCELADA'})
};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/rec/{idRec}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"calendario": {
"dataInicial": "<string>",
"dataFinal": "<string>"
},
"idRec": "<string>",
"recebedor": {
"conta": "<string>",
"agencia": "<string>",
"convenio": "<string>"
},
"vinculo": {
"contrato": "<string>",
"devedor": {
"cnpj": "<string>",
"cpf": "<string>",
"nome": "<string>"
},
"objeto": "<string>"
},
"atualizacao": [
{
"data": "<string>"
}
],
"solicitacao": [
{
"calendario": {
"dataExpiracaoSolicitacao": "2023-11-07T05:31:56Z"
},
"destinatario": {
"conta": "<string>",
"ispbParticipante": "<string>",
"agencia": "<string>",
"cnpj": "<string>",
"cpf": "<string>"
},
"idRec": "<string>",
"idSolicRec": "<string>"
}
],
"valor": {
"valorMinimoRecebedor": "<string>",
"valorRec": "<string>"
}
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Revise recurrence (Pix Automático)
Partially revises a recurrence (Rec) by its idRec: changes calendario.dataInicial (only while status == CRIADA) and/or the status (CANCELADA cancels the mandate). Pix API PATCH /rec/. Rejects any change when the recurrence is EXPIRADA/CANCELADA/REJEITADA (422). Changes to rec.loc are not accepted on this endpoint. An unknown idRec returns 404 (canonical Problem envelope).
PATCH
/
api
/
v1
/
brcode
/
rec
/
{idRec}
Revise recurrence (Pix Automático)
Authorizations
JWT bearer token issued by the identity provider.
Headers
Idempotency key, max 255 characters.
Path Parameters
Identificador da recorrência [a-zA-Z0-9]{29}.
Pattern:
^[a-zA-Z0-9]{29}$Body
application/json
Response
OK
Show child attributes
Show child attributes
Identificador da recorrência.
Pattern:
^[a-zA-Z0-9]{29}$Available options:
NAO_PERMITE, PERMITE_3R_7D Show child attributes
Show child attributes
Available options:
CRIADA, APROVADA, REJEITADA, EXPIRADA, CANCELADA Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

